Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GWT 2.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.util.tools
Class ToolBase

    java.lang.Object
      com.google.gwt.util.tools.ToolBase

    public abstract class ToolBase

extends java.lang.Object

A base class for a GWT related command-line application. To use this:

1. Derive a class for this class.
2. In your constructor, call `registerHandler(ArgHandler)` repeatedly to register particular command line arguments and options.
3. Write a main that looks like this:

        public static void main(String[] args) {
         MyShell myShell = new MyShell();
         if (myShell.processArgs(args)) {
           // main program operation
         }
         System.exit(1);
        }

4. Create launch config whose main class is MyShell.

Constructor Summary
`ToolBase()`

Method Summary
`protected void` | `checkJdkVersion()` Log deprecation warning on old JREs.
`protected java.lang.String` | `getDescription()`
`protected java.lang.String` | `getName()`
`static void` | `legacyWarn(java.lang.Class<?> legacy, java.lang.Class<?> replacement)`
`protected void` | `printHelp()`
`protected boolean` | `processArgs(java.lang.String... args)`
`protected void` | `registerHandler(ArgHandler handler)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ToolBase

    public ToolBase()

Method Detail

### legacyWarn

    public static void legacyWarn(java.lang.Class<?> legacy,
                                  java.lang.Class<?> replacement)

### checkJdkVersion

    protected void checkJdkVersion()

  Log deprecation warning on old JREs.

### getDescription

    protected java.lang.String getDescription()

### getName

    protected java.lang.String getName()

### printHelp

    protected void printHelp()

### processArgs

    protected boolean processArgs(java.lang.String... args)

### registerHandler

    protected void registerHandler(ArgHandler handler)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GWT 2.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD